clear all;
close all;
clc;

T=1000;
lmb=1600;

q1=zeros(T,1);
q2=zeros(T,1);

for j=1:T;
    
    q1(j)=sin(pi*(j-1)/(2*T))^(2)*cos(pi*(j-1)/(2*T));
    q2(j)=sin(pi*(j-1)/(2*T))^(2)*cos(pi*(j-1)*(T-0.5)/T);
    
end

D=zeros(T,T);

for t=1:T;
    
    D(t,t)=16*sin(pi*(j-1)/(2*T))^4;
end

delta=(1/T)*q1'*(eye(T)+lmb*D)^(-1)*q1;

eta=(1/T)*q1'*(eye(T)+lmb*D)^(-1)*q2;

xi=32*lmb*(1-64*lmb*delta)*(1-64*lmb*delta+32^2*lmb^2*(delta^2-eta^2))^(-1)...
    +32^2*delta^2*delta*(1-64*lmb*delta+32^2*lmb^2*(delta^2-eta^2))^(-1)
